org.firebirdsql.util

## Class StringUtils

- java.lang.Object
- - org.firebirdsql.util.StringUtils

    @InternalApi
    public final class StringUtils
    extends java.lang.Object

Helper class for string operations

Author:
  Mark Rotteveel

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `trimToNull(java.lang.String value)` Trims `value` if non-null, returning the trimmed value, or `null` if `value` was `null` or empty after trimming.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### trimToNull

    public static java.lang.String trimToNull(java.lang.String value)

Trims `value` if non-null, returning the trimmed value, or `null` if `value` was `null` or empty after trimming.

Parameters:
  `value` - Value to trim
Returns:
  Trimmed string `value`, or `null` when null, or empty after trim.
See Also:
  `String.trim()`